Summary: Greasemonkey extension for firefox
Name: firefox-ext-greasemonkey
Version: 1.12
Release: %mkrel 2
License: MIT
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/748
Source: http://releases.mozilla.org/pub/mozilla.org/addons/748/greasemonkey-%{version}-fx.xpi
Requires:	mozilla-firefox >= %{firefox_epoch}:%{firefox_version}
BuildRequires:	firefox-devel
Buildarch: noarch

%description
Allows you to customize the way a webpage displays using small bits of
JavaScript.  Hundreds of scripts, for a wide variety of popular sites, are
already available at http://userscripts.org.  You can write your own scripts,
too. Check out http://wiki.greasespot.net/ to get started.

%prep
%setup -q -c -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.12-2.mga4
+ Revision: 538628
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 tv <tv> 1.12-1.mga4
+ Revision: 490031
- new release

* Tue Aug 06 2013 fwang <fwang> 1.11-1.mga4
+ Revision: 464142
- new version 1.11

* Fri Jan 11 2013 umeabot <umeabot> 1.5-2.mga3
+ Revision: 350413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 fwang <fwang> 1.5-1.mga3
+ Revision: 327121
- new version 1.5

* Wed Oct 10 2012 fwang <fwang> 1.3-1.mga3
+ Revision: 304171
- new version 1.3

* Tue Aug 28 2012 tv <tv> 1.0-1.mga3
+ Revision: 284657
- new release

* Mon Aug 06 2012 tv <tv> 0.9.22-1.mga3
+ Revision: 279543
- new release

* Wed Aug 01 2012 fwang <fwang> 0.9.20-1.mga3
+ Revision: 276882
- new version 0.9.20

* Fri Jan 06 2012 fwang <fwang> 0.9.13-1.mga2
+ Revision: 192522
- new version 0.9.13

* Sun Nov 06 2011 fwang <fwang> 0.9.12-1.mga2
+ Revision: 164158
- new version 0.9.12

* Tue Sep 27 2011 fwang <fwang> 0.9.11-1.mga2
+ Revision: 149221
- new version 0.9.11
- new version 0.9.8

  + dmorgan <dmorgan>
    - Rebuild to have a higher release in cauldron

* Thu Jul 21 2011 tv <tv> 0.9.7-1.mga2
+ Revision: 127594
+ rebuild (emptylog)

* Thu Jul 21 2011 tv <tv> 0.9.7-0.1.mga2
+ Revision: 127593
- new release

* Wed Jun 29 2011 tv <tv> 0.9.5-1.mga2
+ Revision: 116081
- new release

* Sat Apr 30 2011 tv <tv> 0.9.2-1.mga1
+ Revision: 93717
- new release

* Tue Mar 22 2011 tv <tv> 0.9.1-1.mga1
+ Revision: 75394
- new release
- imported package firefox-ext-greasemonkey


* Wed Jan 19 2011 Thierry Vignaud <tv@mandriva.org> 0.8.20100408.6-7mdv2011.0
+ Revision: 631670
- prevent need to rebuild for every new firefox
- only package .xpi

* Wed Jan 05 2011 Thierry Vignaud <tv@mandriva.org> 0.8.20100408.6-6mdv2011.0
+ Revision: 628867
- rebuild for new firefox

* Sun Sep 26 2010 Thierry Vignaud <tv@mandriva.org> 0.8.20100408.6-5mdv2011.0
+ Revision: 581105
- rebuild for new firefox
- rebuild for new firefox

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.8.20100408.6-3mdv2011.0
+ Revision: 561155
- rebuild for ff 3.6.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.20100408.6-2mdv2010.1
+ Revision: 549358
- rebuild with FF 3.6.6

  + Funda Wang <fwang@mandriva.org>
    - new verison 0.8.20100408.6

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.8.20100211.5-2mdv2010.1
+ Revision: 531096
- rebuild

* Sat Mar 27 2010 Thierry Vignaud <tv@mandriva.org> 0.8.20100211.5-1mdv2010.1
+ Revision: 528044
- import firefox-ext-greasemonkey


* Sat Mar 27 2010 Thierry Vignaud <tvignaud@mandriva.com> 0.8.20100211.5-1mdv2010.1
- initial creation

